Bug 100817 - dhclient-script generates /etc/ntp.conf crippling NTP
dhclient-script generates /etc/ntp.conf crippling NTP
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 15:04 EDT by Valeriy Ovechkin
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 10:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valeriy Ovechkin 2003-07-25 15:04:58 EDT
My DHCP server (10.0.0.1) is also an NTP server (dhcpd.conf contains "option 
ntp-servers 10.0.0.1"). So when my other Linux box configures its network 
interface via DHCP, its /etc/ntp.conf ends up looking like this:

restrict default ignore
restrict 127.0.0.1
driftfile /etc/ntp/drift
broadcastdelay 0.008
authenticate yes
keys /etc/ntp/keys
server 10.0.0.1

Unfortunately, the first two lines (as generated by /sbin/dhclient-script) do 
not allow ntpd to use 10.0.0.1 as a reference NTP server, so NTP effectively is 
disabled!

This could be a semantics problem with ntpd.conf, I don't know its specs.. but 
DHCP client should generate a config file that ntpd understands.

One solution would be to add a third line:

restrict 10.0.0.1

Which would explicitly allow the time server for synchronization.

Thanks.


Version-Release number of selected component (if applicable): dhclient-3.0pl1-9


How reproducible: Every time


Steps to Reproduce:
1. configure your DHCP server to have 'option ntp-servers x.x.x.x', where 
x.x.x.x can be any public time server (e.g. ntp-1.vt.edu)
2. run 'ifup eth0' on a DHCP client box
3. run 'ntpq', then 'as' -- the NTP server x.x.x.x is not heard from: 
ind assID status  conf reach auth condition  last_event cnt
===========================================================
  1 23172  8000   yes   yes  none    reject


4. add third line 'restrict x.x.x.x' to /etc/ntp.conf
5. restart ntpd by running '/etc/init.d/ntpd restart'
6. do step 3, this time, the x.x.x.x server is 'reacheable':
ind assID status  conf reach auth condition  last_event cnt
===========================================================
  1 25468  9014   yes   yes  none    reject   reachable  1

and after about 4 minutes, 'reject' turns into 'sys.peer'



    
Actual results:
ind assID status  conf reach auth condition  last_event cnt
===========================================================
  1 23172  8000   yes   yes  none    reject

Expected results:
ind assID status  conf reach auth condition  last_event cnt
===========================================================
  1 25468  9014   yes   yes  none    reject   reachable  1
and after about 4 minutes, 'reject' turns into 'sys.peer'

Additional info:
Comment 1 Daniel Walsh 2003-07-31 10:21:33 EDT
Grab the latest version off of Rawhide it is fixed there.
Comment 2 John Flanagan 2004-12-21 14:42:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.